> For the complete documentation index, see [llms.txt](https://docs.algomojo.com/algomojo/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.algomojo.com/algomojo/api/v1/place-order.md).

# Place Order

To get characters you need to make a POST call to the following url :\
`https://amapi.algomojo.com/v1/PlaceOrder`

**QUERY PARAMETERS**

| Request Parameter   | Description                                                  | Mandatory |
| ------------------- | ------------------------------------------------------------ | --------- |
| broker              | Broker Code                                                  | Yes       |
| strategy            | Strategy Name                                                | Yes       |
| exchange            | Exchange name                                                | Yes       |
| symbol              | Trading Symbol                                               | Yes       |
| action              | Action                                                       | Yes       |
| product             | Product Type                                                 | Yes       |
| pricetype           | Price Type                                                   | Yes       |
| quantity            | Quantity                                                     | Yes       |
| price               | Price                                                        | Yes       |
| disclosed\_quantity | Disclosed Quantity                                           | No        |
| trigger\_price      | Trigger Price                                                | No        |
| amo                 | <p>AMO - It can be one of the following<br>YES<br>NO<br></p> | No        |
| splitorder          | split order                                                  | No        |
| split\_quantity     | split quantity                                               | No        |

<br>

{% code title="# Here is a curl example" %}

```html
curl \
-X POST https://amapi.algomojo.com/v1/PlaceOrder
```

{% endcode %}

{% code title=" Request example :" %}

```html
 {                          
     "api_key":"your_api_key",
     "api_secret":"your_api_secret",
     "data":
     {
         "broker":"TC",
         "strategy":"Test Strategy",
         "exchange":"BSE",
         "symbol":"YESBANK",
         "action":"SELL",
         "product":"CNC",
         "pricetype":"MARKET",
         "quantity":"1",
         "price":"0",
         "disclosed_quantity":"0",
         "trigger_price":"0", 
         "amo":"NO",
         "splitorder":"NO",
         "split_quantity":"1"
     }
 }
```

{% endcode %}

{% code title="Response example:" %}

```
 {
     "status": "success",
     "data": {
         "broker": "TC",
         "orderid": "4567872647236"
     }
 }
             
```

{% endcode %}

```

 Request example for Split order:
 
 {
     "api_key":"your_api_key",
     "api_secret":"your_api_secret",
     "data":
     {
         "broker":"zb",
         "strategy":"Test Strategy",
         "exchange":"NSE",
         "symbol":"YESBANK-EQ",
         "action":"BUY",
         "product":"CNC",
         "pricetype":"MARKET",
         "quantity":"10",
         "price":"0",
         "splitorder":"YES",
         "split_quantity":"3"
     }
 
 }
 
 
```

```
Response example for Split order:
 
 [
     {
         "status": "success",
         "data": {
             "broker": "ZB",
             "orderid": "221115000021732"
         }
     },
     {
         "status": "success",
         "data": {
             "broker": "ZB",
             "orderid": "221115000021733"
         }
     },
     {
         "status": "success",
         "data": {
             "broker": "ZB",
             "orderid": "221115000021734"
         }
     },
     {
         "status": "success",
         "data": {
             "broker": "ZB",
             "orderid": "221115000021737"
         }
     }
 ]
```
